# maxdb_init

(PECL maxdb >= 1.0)

maxdb_init — Initializes MaxDB and returns an resource for use with maxdb_real_connect

### Description

maxdb_init ( void ) : resource

Allocates or initializes a MaxDB resource suitable for maxdb_options() and maxdb_real_connect().

> Note:

> Any subsequent calls to any maxdb function (except maxdb_options()) will fail until maxdb_real_connect() was called.

### Return Values

Returns an resource.

### See Also

- maxdb_options() - Set options
- maxdb_close() - Closes a previously opened database connection
- maxdb_real_connect() - Opens a connection to a MaxDB server
- maxdb_connect() - Open a new connection to the MaxDB server